Subject: [Shop-talk] How to clear snow from ridge vents?

From: Jim Franklin <[email-masked]>
Date: Fri, 13 Feb 2015 09:09:10 -0500

Nere in the NE where we're getting 40 days and nights of blizzard, I have
about 3' of snow on my roof, 2.5 stories up. Noticed the first evidence of ice
damming this morning. I have a modern roof with full soffit and ridge vents,
but the system isn't working due to the ridge vent being buried.

How do I clear the vent of all that snow? The opening in the sheathing is too
small to get anything mechanical up in there. I thought about a heat lamp, but
with no other exit for the warm air that might cause more harm. The attic
floor is insulated and the roof is not, which is good. Getting onto the roof
is not at all possible except with a really long lift given how far the ridge
is from the driveway.

thanks,
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive